# Creating a Repository from Template

This guide explains how to create a new repository from this template.

## Steps to Create Repository

1. On GitHub, navigate to the main page of the repository.

2. Above the file list, click "Use this template".

3. Select "Create a new repository".

   ![Screenshot of the "Use this template" button and the dropdown menu expanded to show the "Open in a codespace" option.](resources/use-this-template-button.webp)

   Alternatively, you can open the template in a codespace and publish your work to a new repository later. For more information, see [Creating a codespace from a template](https://docs.github.com/en/codespaces/developing-in-codespaces/creating-a-codespace-from-a-template).

4. Use the Owner dropdown menu to select the account you want to own the repository.

   ![Screenshot of the owner menu for a new GitHub repository. The menu shows two options, octocat and github.](resources/create-repository-owner.webp)

5. Type a name for your repository, and an optional description.

   ![Screenshot of a the first step in creating a repository. The "Repository name" field contains the text "hello-world" and is outlined in orange.](resources/create-repo-from-template.webp)

6. Choose a repository visibility. For more information, see [About repositories](https://docs.github.com/en/repositories/creating-and-managing-repositories/about-repositories).

7. Optionally, to include the directory structure and files from all branches in the template, and not just the default branch, select "Include all branches".

8. Optionally, if the personal account or organization in which you're creating uses any GitHub Apps from GitHub Marketplace, select any apps you'd like to use in the repository.

9. Click "Create repository from template".
